The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> toascii - translate an integer to a 7-bit ASCII character

#### SYNOPSIS

> ``[XSI] #include <ctype.h>
> int toascii(int` c`);``
> `
> `

#### DESCRIPTION

> The toascii() function shall convert its argument into a 7-bit ASCII character.

#### RETURN VALUE

> The toascii() function shall return the value (c &0x7f).

#### ERRORS

> No errors are returned.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> isascii(), the Base Definitions volume of IEEE Std 1003.1-2001, <ctype.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]